Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer.calculations
Class StateSpaceGenerator

    java.lang.Object
      pipe.dataLayer.calculations.StateSpaceGenerator

    public class StateSpaceGenerator

extends java.lang.Object

Method Summary
`static void` | `generate(DataLayer pnmlData, java.io.File reachGraph)`
`static void` | `generate(DataLayer pnmlData, java.io.File reachGraph, ResultsHTMLPane resultspane)` generate() This static method generates the statespace from a GSPN It uses a hashtable so that it can quickly check whether a state has already been explored.
`static void` | `test()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### test

    public static void test()

### generate

    public static void generate(DataLayer pnmlData,
                                java.io.File reachGraph)
                         throws java.lang.OutOfMemoryError,
                                TimelessTrapException,
                                ImmediateAbortException,
                                java.io.IOException

  Throws:
    `java.lang.OutOfMemoryError`
    `TimelessTrapException`
    `ImmediateAbortException`
    `java.io.IOException`

### generate

    public static void generate(DataLayer pnmlData,
                                java.io.File reachGraph,
                                ResultsHTMLPane resultspane)
                         throws java.lang.OutOfMemoryError,
                                TimelessTrapException,
                                ImmediateAbortException,
                                java.io.IOException

  generate() This static method generates the statespace from a GSPN It uses a hashtable so that it can quickly check whether a state has already been explored.

  Throws:
    `TimelessTrapException`
    `ImmediateAbortException`
    `java.io.IOException`
    `java.lang.OutOfMemoryError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD